{ config, ... }:

let
  domain = "reddit.giugl.io";
in
{
  services.libreddit = {
    enable = true;
    port = 9090;
  };

  architect.vhost.${domain} = {
    dnsInterfaces = [ "lan" "tailscale" ];
    locations."/" = {
      port = config.services.libreddit.port;
      allowWAN = true;
    };
  };
}
